DROP VIEW IF EXISTS VHasdrubalUnitDiscountModifiers;

CREATE VIEW VHasdrubalUnitDiscountModifiers 
AS
SELECT UnitType, 'GT_HASDRUBAL_' || UnitType || '_DISCOUNT' AS ModifierId
FROM Units
WHERE Domain = 'DOMAIN_LAND'
AND FormationClass IN ('FORMATION_CLASS_LAND_COMBAT','FORMATION_CLASS_SUPPORT');

DELETE FROM TraitModifiers WHERE ModifierId LIKE ('GT_HASDRUBAL_UNIT%');
DELETE FROM Modifiers WHERE ModifierId LIKE ('GT_HASDRUBAL_UNIT%');
DELETE FROM ModifierArguments WHERE ModifierId LIKE ('GT_HASDRUBAL_UNIT%');

INSERT INTO TraitModifiers (TraitType, ModifierId)
SELECT 'TRAIT_GT_LEADER_HASDRUBAL' AS TraitType, ModifierId 
FROM VHasdrubalUnitDiscountModifiers;

INSERT INTO Modifiers (ModifierId, ModifierType)
SELECT ModifierId, 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PURCHASE_COST' AS ModifierType
FROM VHasdrubalUnitDiscountModifiers;

INSERT INTO ModifierArguments (ModifierId, Name, Value)
SELECT ModifierId, 'UnitType' AS Name, UnitType AS Value
FROM VHasdrubalUnitDiscountModifiers
UNION
SELECT ModifierId, 'Amount' AS Name, 40 AS Value
FROM VHasdrubalUnitDiscountModifiers;
